% Little wrapper function to enable multiclass (1 vs rest/all) with ICVM
% Warning: CVM (and iCVM as well) is sensitive to class balancing - for very imbalanced
% classes you should better use e.g. each against each 
function [cModel] = icvm_multiclass_model(K,vLabel,C)
    dEpsilon      = 10^-5;             
    N       = numel(vLabel);    
    vUnique = unique(vLabel);
    L       = numel(vUnique);
    DistCenter = zeros(L,N);
 
    for(i=1:L)
        vCurrentLabel = ones(numel(vLabel),1);
        vCurrentLabel(vLabel == vUnique(i)) = 0;

        Y            = (vCurrentLabel-0.5)*2;        
        [oModel,fClassifierCore,dAcc] = IndefiniteCoreVectorMachine(K,C,Y,dEpsilon);
        oModel.Y     = Y;            
        vModels(i)   = oModel;       
    end
    cModel.vModels = vModels;
    cModel.vUniqueL = vUnique;    